/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：
 * 
 * @作者：songx
 * @创建时间：2016年12月30日,上午11:44:11 @版本：1.0
 */
public class BookAdviser extends BaseEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = -7033983752406999837L;

	/**
	 * 书籍编辑标识
	 */
	private Long bookAdviserId;

	/**
	 * 书籍标识
	 */
	private Long bookId;

	/**
	 * 编辑标识
	 */
	private Long adviserId;

	/**
	 * 渠道标识
	 */
	private Long channelId;

	/**
	 * 模板标识
	 */
	private Long templetId;

	/**
	 * 创建人标识
	 */
	private Long createdUser;

	/**
	 * 刊物序号
	 */
	private String serialNumber;

	/**
	 * 是否是主编辑
	 */
	private Boolean isMainEditor;

	/**
	 * 是否已经被删除 1是 0否
	 */
	private Integer isDelete;

	/**
	 * 第二级类型
	 */
	private Long secondTempletId;

	/**
	 * 年级标签id
	 */
	private Long graLabelId;

	/**
	 * 科目标签id
	 */
	private Long subLabelId;

	/**
	 * 版本标签id
	 */
	private Long verLabelId;

	/**
	 * 地域标签id
	 */
	private Long areaLabelId;
	
	/**
     * 是否已下印
     */
	private Boolean isPrint;

	/**
	 * 专业标签ID
	 */
	private Long proLabelId;

	/**
	 * 深度标签ID
	 */
	private Long depLabelId;

	/**
	 * 目的标签ID
	 */
	private Long purLabelId;


	public Long getTempletId() {
		return templetId;
	}

	public void setTempletId(Long templetId) {
		this.templetId = templetId;
	}

	public Long getBookAdviserId() {
		return bookAdviserId;
	}

	public void setBookAdviserId(Long bookAdviserId) {
		this.bookAdviserId = bookAdviserId;
	}

	public Long getBookId() {
		return bookId;
	}

	public void setBookId(Long bookId) {
		this.bookId = bookId;
	}

	public Long getAdviserId() {
		return adviserId;
	}

	public void setAdviserId(Long adviserId) {
		this.adviserId = adviserId;
	}

	public Long getChannelId() {
		return channelId;
	}

	public void setChannelId(Long channelId) {
		this.channelId = channelId;
	}

	public Long getCreatedUser() {
		return createdUser;
	}

	public void setCreatedUser(Long createdUser) {
		this.createdUser = createdUser;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Boolean getIsMainEditor() {
		return isMainEditor;
	}

	public void setIsMainEditor(Boolean isMainEditor) {
		this.isMainEditor = isMainEditor;
	}

	public Integer getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}

	public Long getSecondTempletId() {
		return secondTempletId;
	}

	public void setSecondTempletId(Long secondTempletId) {
		this.secondTempletId = secondTempletId;
	}

	public Long getGraLabelId() {
		return graLabelId;
	}

	public void setGraLabelId(Long graLabelId) {
		this.graLabelId = graLabelId;
	}

	public Long getSubLabelId() {
		return subLabelId;
	}

	public void setSubLabelId(Long subLabelId) {
		this.subLabelId = subLabelId;
	}

	public Long getVerLabelId() {
		return verLabelId;
	}

	public void setVerLabelId(Long verLabelId) {
		this.verLabelId = verLabelId;
	}

	public Long getAreaLabelId() {
		return areaLabelId;
	}

	public void setAreaLabelId(Long areaLabelId) {
		this.areaLabelId = areaLabelId;
	}
	
	public Boolean getIsPrint() {
        return isPrint;
    }

    public void setIsPrint(Boolean isPrint) {
        this.isPrint = isPrint;
    }

	public Long getProLabelId() {
		return proLabelId;
	}

	public void setProLabelId(Long proLabelId) {
		this.proLabelId = proLabelId;
	}

	public Long getDepLabelId() {
		return depLabelId;
	}

	public void setDepLabelId(Long depLabelId) {
		this.depLabelId = depLabelId;
	}

	public Long getPurLabelId() {
		return purLabelId;
	}

	public void setPurLabelId(Long purLabelId) {
		this.purLabelId = purLabelId;
	}

	@Override
	public String toString() {
		return "BookAdviser{" +
				"bookAdviserId=" + bookAdviserId +
				", bookId=" + bookId +
				", adviserId=" + adviserId +
				", channelId=" + channelId +
				", templetId=" + templetId +
				", createdUser=" + createdUser +
				", serialNumber='" + serialNumber + '\'' +
				", isMainEditor=" + isMainEditor +
				", isDelete=" + isDelete +
				", secondTempletId=" + secondTempletId +
				", graLabelId=" + graLabelId +
				", subLabelId=" + subLabelId +
				", verLabelId=" + verLabelId +
				", areaLabelId=" + areaLabelId +
				", isPrint=" + isPrint +
				", proLabelId=" + proLabelId +
				", depLabelId=" + depLabelId +
				", purLabelId=" + purLabelId +
				'}';
	}
}
